Bug 240747 - "Region" capture mode turns whole screen black
Summary: "Region" capture mode turns whole screen black
Status: RESOLVED UNMAINTAINED
Alias: None
Product: kgrab
Classification: Applications
Component: general (show other bugs)
Version: 0.1.1
Platform: Ubuntu Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Unknown
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-06-04 18:41 UTC by Daniel Hahler
Modified: 2015-02-06 12:32 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Hahler 2010-06-04 18:41:03 UTC
Version:           0.1.1 (using Devel) 
OS:                Linux

Trying to capture a Region of the current screen, the whole screen turns black when KGrab goes into capture mode (e.g. only after the delay has passed).

This happens both with "awesome" WM and in KDE itself.

Reproducible: Always

Steps to Reproduce:
1. Open KGrab
2. Select "Region" capture mode (from KGrab settings)
3. Click "New screenshot"

Actual Results:  
Depending on any delay being setup, the screen will turn black immediately or after the delay has passed.


OS: Linux (i686) release 2.6.32-22-generic
Compiler: cc

I am using the "nouveau" graphics driver provided by Ubuntu.
Comment 1 Christoph Feck 2010-06-07 23:16:50 UTC
I don't know about the awesome WM, but disabling redirection in KDE KWin makes the black flicker disappear, so closing as a duplicate.

*** This bug has been marked as a duplicate of bug 177495 ***
Comment 2 Daniel Hahler 2010-06-08 17:36:46 UTC
There is no flicker: the screen is just black completely.

Also, I am not using Compositing (nouveau driver), and have tried the UnredirectFullscreen=false KWin option nonetheless: still the same.

Therefore unmarking as dupe.
Comment 3 Christoph Feck 2015-02-06 12:32:04 UTC
Thanks for your bug report or feature request.

The KGrab application is no longer maintained, and all open tickets are now closed.
See also http://websvn.kde.org/?view=revision&revision=1383834